
From: Andi Kleen <ak@muc.de>

CONFIG_ACPI_SLEEP doesn't compile without SOFTWARE_SUSPEND.  Make it select
it automagically.

This fixes some bugzilla bug whose number I forgot.



 drivers/acpi/Kconfig |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/acpi/Kconfig~make-ACPI_SLEEP-select-SOFTWARE_SUSPEND drivers/acpi/Kconfig
--- 25/drivers/acpi/Kconfig~make-ACPI_SLEEP-select-SOFTWARE_SUSPEND	2003-08-23 13:51:51.000000000 -0700
+++ 25-akpm/drivers/acpi/Kconfig	2003-08-23 13:51:51.000000000 -0700
@@ -69,6 +69,7 @@ config ACPI_SLEEP
 	bool "Sleep States (EXPERIMENTAL)"
 	depends on X86 && ACPI
 	depends on EXPERIMENTAL && PM
+	select SOFTWARE_SUSPEND
 	default y
 	---help---
 	  This option adds support for ACPI suspend states. 

_
